/*
 * This file is part of Sharenet.
 * 
 * Sharenet is licensed under the Creative Commons Attribution-NonCommercial-ShareAlike 4.0 International License.
 * 
 * You may obtain a copy of the license at:
 * https://creativecommons.org/licenses/by-nc-sa/4.0/
 * 
 * Copyright (c) 2024 Continuist <continuist02@gmail.com>
 */

#[cfg(test)]
mod tests {
    use tui::App;

    #[test]
    fn test_app_initialization() {
        let app = App::new();
        assert_eq!(app.input(), "");
        assert_eq!(app.messages(), &vec!["Welcome to Sharenet CLI!".to_string()]);
        assert!(!app.should_quit());
    }

    // More integration tests will be added here
} 